#
# spec file for package rubygem-manpages
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-manpages
Version:        0.6.1
Release:        1.23
%define mod_name manpages
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:            https://github.com/bitboxer/manpages
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Adds support for man pages to rubygems
License:        MIT
Group:          Development/Languages/Ruby

%description
With this gem the rubygems command will detect man pages within gems and
exposes them to the man command.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Sat Aug 24 2019 Andreas Stieger <andreas.stieger@gmx.de>
- initial package 0.6.1
